Index: PostgreSqlDotnetCore/Views/Blog/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Index.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
+++ PostgreSqlDotnetCore/Views/Blog/Index.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
@@ -57,4 +57,5 @@
 
             @if (item.users_id == ViewBag.CurrentUserId)
+                
             {
                 <td>
@@ -64,5 +65,6 @@
                 </td>
             }
-
+            
+          
 
             @if (item.users_id == ViewBag.CurrentUserId || item.users_id != ViewBag.CurrentUserId)
Index: PostgreSqlDotnetCore/Views/BlogPostAnswers/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/BlogPostAnswers/Details.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
+++ PostgreSqlDotnetCore/Views/BlogPostAnswers/Details.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
@@ -29,4 +29,36 @@
     </dl>
 </div>
+<br/>
+@{
+    if(Model.blogPostAnswers.Count > 0)
+    {
+
+        <h4>Replay under Answers</h4>
+        <hr />
+        foreach (BlogPostAnswers item in Model.blogPostAnswers)
+        {
+
+            <dl class="dl-horizontal">
+                <dt>
+                    @Html.DisplayNameFor(model => item.parent_id)
+                </dt>
+
+                <dd>
+                    @Html.DisplayFor(model => item.parent_id)
+                </dd>
+
+                <dt>
+                    @Html.DisplayNameFor(model => item.reply)
+                </dt>
+                <dd>
+                    @Html.DisplayFor(model => item.reply)
+                </dd>
+
+
+            </dl>
+        }
+        <hr />
+    }
+}
 <p>
     @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
Index: PostgreSqlDotnetCore/Views/PetCares/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetCares/Create.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
+++ PostgreSqlDotnetCore/Views/PetCares/Create.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
@@ -74,4 +74,11 @@
         </div>
 
+        <div class="form-group">
+            <label class="control-label col-md-2" for="pet_id">UserPet:</label>
+            <div class="col-md-10">
+                @Html.DropDownList("pet_id", (SelectList)ViewBag.Pets, "Select Pets", new { @class = "form-control" })
+            </div>
+        </div>
+
 
     <div class="form-group">
Index: PostgreSqlDotnetCore/Views/PetDiagnostics/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetDiagnostics/Index.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
+++ PostgreSqlDotnetCore/Views/PetDiagnostics/Index.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
@@ -0,0 +1,7 @@
+﻿@model IEnumerable<PostgreSqlDotnetCore.Models.PetDetailsProcedure>
+
+@{
+    ViewBag.Title = "PetDetailsProcedure";
+}
+
+<h2>PetDetailsProcedure</h2>
Index: PostgreSqlDotnetCore/Views/PetDiagnostics/PetDiagnostics.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetDiagnostics/PetDiagnostics.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
+++ PostgreSqlDotnetCore/Views/PetDiagnostics/PetDiagnostics.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
@@ -0,0 +1,71 @@
+﻿@model IEnumerable<PostgreSqlDotnetCore.Models.PetDetailsProcedure>
+
+@{
+    ViewData["Title"] = "PetDiagnostics";
+}
+
+<h2>PetDiagnostics</h2>
+
+<p>
+    <a asp-action="Create">Create New</a>
+</p>
+<table class="table">
+    <thead>
+        <tr>
+            <th>
+                @Html.DisplayNameFor(model => model.pet_id)
+            </th>
+            <th>
+                @Html.DisplayNameFor(model => model.pet_name)
+            </th>
+            <th>
+                @Html.DisplayNameFor(model => model.diagnosis_description)
+            </th>
+            <th>
+                @Html.DisplayNameFor(model => model.medicine_name)
+            </th>
+            <th>
+                @Html.DisplayNameFor(model => model.medicine_description)
+            </th>
+            <th>
+                @Html.DisplayNameFor(model => model.therapy_description)
+            </th>
+            <th>
+                @Html.DisplayNameFor(model => model.therapy_date)
+            </th>
+            <th></th>
+        </tr>
+    </thead>
+    <tbody>
+@foreach (var item in Model) {
+        <tr>
+            <td>
+                @Html.DisplayFor(modelItem => item.pet_id)
+            </td>
+            <td>
+                @Html.DisplayFor(modelItem => item.pet_name)
+            </td>
+            <td>
+                @Html.DisplayFor(modelItem => item.diagnosis_description)
+            </td>
+            <td>
+                @Html.DisplayFor(modelItem => item.medicine_name)
+            </td>
+            <td>
+                @Html.DisplayFor(modelItem => item.medicine_description)
+            </td>
+            <td>
+                @Html.DisplayFor(modelItem => item.therapy_description)
+            </td>
+            <td>
+                @Html.DisplayFor(modelItem => item.therapy_date)
+            </td>
+            <td>
+                @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
+                @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
+                @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
+            </td>
+        </tr>
+}
+    </tbody>
+</table>
Index: PostgreSqlDotnetCore/Views/Products/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Products/Index.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
+++ PostgreSqlDotnetCore/Views/Products/Index.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
@@ -108,4 +108,5 @@
                                     @Html.ActionLink("Details", "Details", new { id = item.id }) |
                                     @Html.ActionLink("Delete", "Delete", new { id = item.id })
+                                    @Html.ActionLink("Procedure", "Procedure", new { id = item.id })
                                 </div>
                             }
Index: PostgreSqlDotnetCore/Views/VetCenter/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Details.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
+++ PostgreSqlDotnetCore/Views/VetCenter/Details.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
@@ -1,3 +1,3 @@
-﻿@model PostgreSqlDotnetCore.Models.VetCenter
+﻿@model PostgreSqlDotnetCore.Models.VetCenterWithCity
 
 @{
@@ -5,73 +5,50 @@
 }
 
-<h2>Details</h2>
+<h2>Details for @Model.vet_center_name</h2>
 
-<div>
-    <h4>VetCenter</h4>
-    <hr />
-    <dl class="dl-horizontal">
-        <dt>
-            @Html.DisplayNameFor(model => model.name)
-        </dt>
+<table class="table">
+    <tr>
+        <th>@Html.DisplayNameFor(model => model.vet_center_name)</th>
+        <td>@Html.DisplayFor(model => model.vet_center_name)</td>
+    </tr>
+    <tr>
+        <th>@Html.DisplayNameFor(model => model.adress)</th>
+        <td>@Html.DisplayFor(model => model.adress)</td>
+    </tr>
+    <tr>
+        <th>@Html.DisplayNameFor(model => model.workinghours)</th>
+        <td>@Html.DisplayFor(model => model.workinghours)</td>
+    </tr>
+    <tr>
+        <th>@Html.DisplayNameFor(model => model.description)</th>
+        <td>@Html.DisplayFor(model => model.description)</td>
+    </tr>
+    <tr>
+        <th>@Html.DisplayNameFor(model => model.phonenumber)</th>
+        <td>@Html.DisplayFor(model => model.phonenumber)</td>
+    </tr>
+    <tr>
+        <th>@Html.DisplayNameFor(model => model.latitude)</th>
+        <td>@Html.DisplayFor(model => model.latitude)</td>
+    </tr>
+    <tr>
+        <th>@Html.DisplayNameFor(model => model.longitude)</th>
+        <td>@Html.DisplayFor(model => model.longitude)</td>
+    </tr>
+    <tr>
+        <th>@Html.DisplayNameFor(model => model.city_name)</th>
+        <td>@Html.DisplayFor(model => model.city_name)</td>
+    </tr>
+</table>
 
-        <dd>
-            @Html.DisplayFor(model => model.name)
-        </dd>
+@if (ViewBag.hasAccess != null && ViewBag.hasAccess == true)
+{
+    <p>
+        @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
+        @Html.ActionLink("Delete", "Delete", new { id = Model.id })
+    </p>
+}
 
-        <dt>
-            @Html.DisplayNameFor(model => model.adress)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.adress)
-        </dd>
-        <dt>
-            @Html.DisplayNameFor(model => model.description)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.description)
-        </dd>
-        <dt>
-            @Html.DisplayNameFor(model => model.workinghours)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.workinghours)
-        </dd>
-        <dt>
-            @Html.DisplayNameFor(model => model.phonenumber)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.phonenumber)
-        </dd>
-        <dt>
-            @Html.DisplayNameFor(model => model.latitude)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.latitude)
-        </dd>
-        <dt>
-            @Html.DisplayNameFor(model => model.longitude)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.longitude)
-        </dd>
-        <dt>
-            @Html.DisplayNameFor(model => model.citiesid)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.citiesid)
-        </dd>
-
-
-    </dl>
-</div>
 <p>
-    @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
     @Html.ActionLink("Back to List", "Index")
 </p>
Index: PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml	(revision 118e414d91bed6d2f18476304a58e95728403f8c)
+++ PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml	(revision e9bb9d13e39b1e74f76562e3471e4189febd2a22)
@@ -1,5 +1,7 @@
 ﻿@using Microsoft.AspNetCore.Identity
 @inject SignInManager<IdentityUser> SignInManager
-@model IEnumerable<PostgreSqlDotnetCore.Models.VetCenter>
+@* IEnumerable<PostgreSqlDotnetCore.Models.VetCenter>*@
+@model IEnumerable<PostgreSqlDotnetCore.Models.VetCenterWithCity>
+
 
 @{
@@ -23,5 +25,5 @@
     <tr>
         <th>
-            @Html.DisplayNameFor(model => model.name)
+            @Html.DisplayNameFor(model => model.vet_center_name)
         </th>
         <th>
@@ -45,5 +47,5 @@
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.citiesid)
+            @Html.DisplayNameFor(model => model.city_name)
         </th>
         <th></th>
@@ -54,5 +56,5 @@
         <tr>
             <td>
-                @Html.DisplayFor(modelItem => item.name)
+                @Html.DisplayFor(modelItem => item.vet_center_name)
             </td>
             <td>
@@ -76,5 +78,5 @@
             </td>
             <td>
-                @Html.DisplayFor(modelItem => item.citiesid)
+                @Html.DisplayFor(modelItem => item.city_name)
             </td>
             <td>
@@ -85,17 +87,17 @@
             </td>
 
-            
 
-         @*   @if ((SignInManager.IsSignedIn(User)))
-            {
-                <td>
 
-                    @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
-                    @Html.ActionLink("Details", "Details", new { id = item.id }) |
-                    @Html.ActionLink("Delete", "Delete", new { id = item.id })
+            @*   @if ((SignInManager.IsSignedIn(User)))
+        {
+        <td>
 
-                </td>
-            }
-           *@
+        @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
+        @Html.ActionLink("Details", "Details", new { id = item.id }) |
+        @Html.ActionLink("Delete", "Delete", new { id = item.id })
+
+        </td>
+        }
+        *@
 
             @* Додадете условие за проверка на улогите *@
